View Issue Details

IDProjectCategoryView StatusLast Update
0015565ScribusImport / Exportpublic2019-06-04 20:55
ReporterJLuc Assigned Tojghali  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
PlatformUbuntu 18.04OSUbuntuOS Version17.10
Product Version1.5.5.svn 
Target VersionFixed in Version1.5.5.svn 
Summary0015565: PDF is wrongly imported : page twice as large as it should
DescriptionThis PDF has 2 A6 105 × 147 mm vertical pages (portrait)
When imported in scribus , the pages have become 210x147 horizontal pages (landscape)

It could be this is because previously, before some operations by the professional printer, it was a horizontal double page layout.

Scribus should manage to understand the PDF in the same way the viewers do.
TagsNo tags attached.
PatchNo

Activities

JLuc

2019-02-01 14:48

developer  

2_tobeimported.pdf (32,073 bytes)
imported in scribus.png (2,573 bytes)
imported in scribus.png (2,573 bytes)
viewed in viewer.png (3,693 bytes)
viewed in viewer.png (3,693 bytes)

jghali

2019-02-02 00:40

administrator   ~0045877

Last edited: 2019-02-02 00:41

View 2 revisions

The size of the MediaBox, aka paper size, in the PDF you uploaded is *not* 105 × 147, but 210x147. When importing that PDF, the import dialog explicitly allows you to define how the imported PDF should be cropped. In this case, you should use the TrimBox or CropBox instead of the MediaBox.

JLuc

2019-02-02 09:54

developer   ~0045878

Last edited: 2019-02-02 09:57

View 4 revisions

Hello jghali,
i dont have any of these options but french translation that are not easy to understand :
- "zone de media" (that's the easy one : Mediabox),
- "zone de fond perdu", "zone de format fini", "zone de cadrage", "zone graphique" which i dont know how they translate to cropbox or trimbox or whateverbox. Hmmm i guess "zone de fond perdu" should be "bleedbox" but no idea with the others.

When importing the PDF with any of these other options, the resulting size looks correct, but the page's content is not where it should be. See new attached document.



jghali

2019-02-02 11:12

administrator   ~0045879

>> "zone de fond perdu", "zone de format fini", "zone de cadrage", "zone graphique"

zone de fond perdu => Bleedbox
zone de format fini => TrimBox
zone de cadrage => CropBox
zone graphique => ArtBox

>> When importing the PDF with any of these other options, the resulting size looks correct, but the page's content is not where it should be.

I already committed a fix for this yesterday night. Check you have r22826.

jghali

2019-02-14 20:05

administrator   ~0045903

In case of inconsistency in PDF boxes size, I changed the default to use CropBox, which correspond to the zone a PDF viewer is supposed to display.

Issue History

Date Modified Username Field Change
2019-02-01 14:48 JLuc New Issue
2019-02-01 14:48 JLuc File Added: 2_tobeimported.pdf
2019-02-01 14:48 JLuc File Added: imported in scribus.png
2019-02-01 14:48 JLuc File Added: viewed in viewer.png
2019-02-01 14:49 JLuc Summary PDf is wrongly imported => PDf is wrongly imported : page size twice as large as it should
2019-02-01 14:49 JLuc Description Updated View Revisions
2019-02-01 14:49 JLuc Summary PDf is wrongly imported : page size twice as large as it should => PDf is wrongly imported : page twice as large as it should
2019-02-02 00:40 jghali Note Added: 0045877
2019-02-02 00:41 jghali Note Edited: 0045877 View Revisions
2019-02-02 09:54 JLuc File Added: Capture d’écran de 2019-02-02 10-49-50.png
2019-02-02 09:54 JLuc Note Added: 0045878
2019-02-02 09:56 JLuc Note Edited: 0045878 View Revisions
2019-02-02 09:57 JLuc Note Edited: 0045878 View Revisions
2019-02-02 09:57 JLuc Note Edited: 0045878 View Revisions
2019-02-02 11:12 jghali Note Added: 0045879
2019-02-14 15:49 jghali Summary PDf is wrongly imported : page twice as large as it should => PDF is wrongly imported : page twice as large as it should
2019-02-14 20:05 jghali Assigned To => jghali
2019-02-14 20:05 jghali Status new => resolved
2019-02-14 20:05 jghali Resolution open => fixed
2019-02-14 20:05 jghali Fixed in Version => 1.5.5.svn
2019-02-14 20:05 jghali Note Added: 0045903
2019-06-04 20:55 cbradney Status resolved => closed